Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1512091 - Event messages are getting truncated
Summary: Event messages are getting truncated
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: web-admin-tendrl-ui
Version: rhgs-3.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.4.0
Assignee: Neha Gupta
QA Contact: Filip Balák
URL:
Whiteboard:
Depends On:
Blocks: 1503134
TreeView+ depends on / blocked
 
Reported: 2017-11-10 20:06 UTC by Ju Lim
Modified: 2018-09-04 06:59 UTC (History)
4 users (show)

Fixed In Version: tendrl-ansible-1.6.1-2.el7rhgs.noarch.rpm, tendrl-api-1.6.1-1.el7rhgs.noarch.rpm, tendrl-commons-1.6.1-1.el7rhgs.noarch.rpm, tendrl-monitoring-integration-1.6.1-1.el7rhgs.noarch.rpm, tendrl-node-agent-1.6.1-1.el7, tendrl-ui-1.6.1-1.el7rhgs.noarch.rpm,
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 06:58:06 UTC


Attachments (Terms of Use)
Events UI (deleted)
2018-05-09 13:04 UTC, Filip Balák
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2616 None None None 2018-09-04 06:59:03 UTC
Github 745 None None None 2017-11-10 20:06:37 UTC
Red Hat Bugzilla 1597235 None None None Never

Internal Links: 1597235

Description Ju Lim 2017-11-10 20:06:38 UTC
Description of problem:
Event messages are getting truncated and require user to hover to see the truncated description.  This makes it especially hard to troubleshoot when you're trying to look quickly at the list of events (think syslog).

It ought to wordwrap (like Task Details) and not truncate.

Version-Release number of selected component (if applicable):
tendrl-ui-1.5.4-1.el7rhgs.noarch

How reproducible:


Steps to Reproduce:
1. Generate some events
2. Go to Events listing in the UI
3.

Actual results:
Event message gets truncated.

Expected results:
Event message should wordwrap.


Additional info:
See screenshots in https://github.com/Tendrl/ui/issues/745.

Comment 2 Nishanth Thomas 2017-11-13 04:23:25 UTC
I would propose to take this in a future release as we are close 3.3.1 timelines and this bug not critical enough to affect the core functionality.

Comment 4 Filip Balák 2018-05-09 13:04:22 UTC
It looks better but there is too much space next to date on the right side and there is no `Details` button as seen in https://github.com/Tendrl/ui/issues/745#issuecomment-344041589. I will add a picture.
@julim what do you think?


Tested with:
tendrl-ansible-1.6.3-3.el7rhgs.noarch
tendrl-api-1.6.3-3.el7rhgs.noarch
tendrl-api-httpd-1.6.3-3.el7rhgs.noarch
tendrl-commons-1.6.3-4.el7rhgs.noarch
tendrl-grafana-plugins-1.6.3-2.el7rhgs.noarch
tendrl-grafana-selinux-1.5.4-2.el7rhgs.noarch
tendrl-monitoring-integration-1.6.3-2.el7rhgs.noarch
tendrl-node-agent-1.6.3-4.el7rhgs.noarch
tendrl-notifier-1.6.3-2.el7rhgs.noarch
tendrl-selinux-1.5.4-2.el7rhgs.noarch
tendrl-ui-1.6.3-1.el7rhgs.noarch

Comment 5 Filip Balák 2018-05-09 13:04:58 UTC
Created attachment 1433834 [details]
Events UI

Comment 6 Ju Lim 2018-06-28 15:16:37 UTC
In looking at the attached Events UI screenshot, there is definitely too much white space on the right.  The list view should ideally be optimized for screen resolutions of 1366 x 768, though implementation should dynamically adjust per responsive design (which is also supported via the PatternFly).

As to the "Details" button, I believe it was not implemented at this point as being able to take action on an event / alert (mark as read, mark as unread, etc.) is not intended for the current release and was deferred to a future release.

Comment 7 Ju Lim 2018-06-28 15:18:34 UTC
I'm glad to see that event messages are getting o longer truncated and are being word wrapped.  It'll be nice to see if we reduce the space by widening the message area and also improve readability.

Comment 8 Filip Balák 2018-06-29 11:17:55 UTC
Ok, after white space on the right will be fixed I will verify this issue. --> ASSIGNED

Comment 9 Neha Gupta 2018-07-02 09:45:09 UTC
@fbalak@redhat.com The original issue i.e event messages are getting truncated is already fixed. Please close this issue if verified and open separate bugzilla for space related issue on event list view.

Comment 10 Filip Balák 2018-07-02 10:34:59 UTC
Ok, you are right that this should be in another BZ and this one looks good. I have filled BZ 1597235. --> VERIFIED

Comment 12 errata-xmlrpc 2018-09-04 06:58:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2616


Note You need to log in before you can comment on or make changes to this bug.